Subject: [Isis-wg] ISIS Autoconf used in home networks-//FW: New Version Notification for draft-liu-isis-auto-conf-03.txt

From: "Liubing (Leo)" <[email-masked]>
Date: Thu, 30 Oct 2014 05:14:51 +0000

Hi Dear all,

We updated this draft with a -03 version. There were some minor technical revisions. The authors believe it is stable in technical aspect.

This draft was last presented in London. And the main concern was whether the main targeted scenario, home networks, would support multiple routing protocols, given there has been an OSPF-autoconf already.
As I learned, the Homenet WG hasn't determined to support one or multiple routing protocols. But considering they have adopted HNCP (a control protocol for homenet configurations), it is actually technically available for supporting multiple routing protocols.
Actually, the co-authors from DT just demonstrated an open source ISIS implementation for homenet in last IETF Bits'n'Bites (http://www.ietf.org/mail-archive/web/homenet/current/msg03756.html). 
The implementation incorporated autoconfiguration function. I think it is a good proof of concept that ISIS-autoconf could fit home networks well. Besides home networks, I think it also fits small and medium enterprise environments.

So, with these explanations, may I ask our WG that do you think it is a useful work?
Your responses would be appreciated very much.

Best regards,
Bing

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, October 27, 2014 2:00 PM
To: Mikael Abrahamsson; Bruno Decraene; Ian Farrer; Liubing (Leo); Bruno Decraene; Mikael Abrahamsson; Ian Farrer; Liubing (Leo)
Subject: New Version Notification for draft-liu-isis-auto-conf-03.txt

A new version of I-D, draft-liu-isis-auto-conf-03.txt has been successfully submitted by Bing Liu and posted to the IETF repository.

Name:		draft-liu-isis-auto-conf
Revision:	03
Title:		ISIS Auto-Configuration
Document date:	2014-10-27
Group:		Individual Submission
Pages:		9
URL:            http://www.ietf.org/internet-drafts/draft-liu-isis-auto-conf-03.txt
Status:         https://datatracker.ietf.org/doc/draft-liu-isis-auto-conf/
Htmlized:       http://tools.ietf.org/html/draft-liu-isis-auto-conf-03
Diff:           http://www.ietf.org/rfcdiff?url2=draft-liu-isis-auto-conf-03

Abstract:
   This document describes an IS-IS auto-configuration technology.  The
   key mechanisms of this technology are IS-IS NET (Network Entity
   Title) self-generation, duplication detection and duplication
   resolution.  This technology fits the environment where plug-and-play
   is expected, e.g., home networks and small or medium size enterprise
   networks.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat